<?php
/**
 * Footer template
 *
 * @package WordPress
 * @version 1.0
 */

?>
<footer class="site-footer">
	<div class="container">
		<?php get_template_part( 'partials/site/social' ); ?>
	</div>
	<div class="site-footer--common">
		<ul>
			<li>&copy; <?php echo esc_html( bloginfo( 'name' ) . ' ' . date( 'Y' ) ); ?></li>
			<li><a href="<?php echo esc_url( home_url( 'privacy' ) ); ?>">Privacy Policy</a></li>
			<li><a href="<?php echo esc_url( home_url( 'sitemap' ) ); ?>">Sitemap</a></li>
			<?php
			if ( function_exists( 'cm_footer' ) ) {
				echo '<li>' . wp_kses_post( cm_footer() ) . '</li>';
			};
			?>
		</ul>
	</div>
</footer>
<div class="site-tools">
	<?php
	get_template_part( 'partials/menu/mobile' );
	get_template_part( 'partials/alert/large' );
	?>
	<div class="scroll" title="scroll to top">
		<?php fa( 'fa-angle-up' ); ?>
	</div>
</div>
</div>
<?php wp_footer(); ?>
</body>
</html>
