<?php
/**
 * All functions that are related to Posts and their archives
 *
 * @package WordPress
 * @version 1.0
 */

/**
 * Shorthand function for checking if we are in the blog.
 */
function is_blog() {
	return ( is_archive() || is_category() || is_home() || is_single() || is_tag() ) && 'post' === get_post_type();
}

/**
 * Get monthly archive for current year
 *
 * @param [type] $where [desc].
 * @param [type] $args [desc].
 */
function cm_show_archives_by_month( $where, $args = '' ) {
	$where .= ' AND YEAR (post_date) = YEAR (current_date)';
	return $where;
}

/**
 * Show monthly archive for current year
 *
 * @param [type] $args [desc].
 */
function cm_show_archives_monthly( $args = '' ) {
	add_filter( 'getarchives_where', 'cm_show_archives_by_month' );
	wp_get_archives( $args );
	remove_filter( 'getarchives_where', 'cm_show_archives_by_month' );
}

/**
 * If there are posts from previous years, get the years
 *
 * @param [type] $where [desc].
 * @param [type] $args [desc].
 */
function cm_show_archives_by_year( $where, $args = '' ) {
	$where .= ' AND YEAR(post_date) < YEAR (current_date)';
	return $where;
}

/**
 * If there are posts from previous years, show the years
 *
 * @param [type] $args [desc].
 */
function cm_show_archives_yearly( $args = '' ) {
	add_filter( 'getarchives_where', 'cm_show_archives_by_year' );
	wp_get_archives( $args );
	remove_filter( 'getarchives_where', 'cm_show_archives_by_year' );
}

/**
 * Show short month names in the archives list
 * This is optional - comment out if not wanted
 * http://zurb.com/forrst/posts/WordPress_filter_to_shorten_wp_get_archives_mont-hti
 *
 * @param [type] $html [desc].
 */
function cm_archives_shortmonth( $html ) {
	global $wp_locale;
	$html = str_replace( $wp_locale->month, $wp_locale->month_abbrev, $html );
	return $html;
}
/* add_filter( 'get_archives_link', 'cm_archives_shortmonth' ); */

/**
 * SRemove parentheses from category count and replace with span.
 *
 * @param [type] $variable [desc].
 */
function cm_categories_postcount_filter( $variable ) {
	$variable = str_replace( '(', '<span class="post-count"> ', $variable );
	$variable = str_replace( ')', ' </span>', $variable );
	return $variable;
}
add_filter( 'wp_list_categories', 'cm_categories_postcount_filter' );
