<?php
/**
 * Custom form functions.
 *
 * @package WordPress
 */

/**
 * Remove WPCF7 scripts from pages that don't contain any forms.
 */
remove_action( 'wp_enqueue_scripts', 'wpcf7_recaptcha_enqueue_scripts' );
if ( function_exists( 'wpcf7_enqueue_scripts' ) ) {
	add_action( 'wp_enqueue_scripts', 'wpcf7_recaptcha_enqueue_scripts', 10, 0 );
}


/**
 * Remove the Recaptcha from pages not listed below.
 */
function cm_load_recaptcha_badge_page() {
	$page_form = get_post_meta( get_the_ID(), '_page_form', true );
	if ( '1' !== $page_form ) {
		wp_dequeue_script( 'google-recaptcha' );
	}
}
add_action( 'wp_enqueue_scripts', 'cm_load_recaptcha_badge_page' );