<?php
/**
 * MailChimp scripts and functions.
 *
 * @package WordPress
 */

/**
 * Put MailChimp's code in our header, and set to homepage only if relevant.
 */
function cm_enqueue_mailchimp() {
	$mailchimp = get_option( 'options_mailchimp' );
	if ( '1' === $mailchimp ) {
		wp_register_script( 'mailchimp-validation-script', '//s3.amazonaws.com/downloads.mailchimp.com/js/mc-validate.js', array(), '1.0', true );
		wp_enqueue_script( 'mailchimp-validation-script' );
		wp_enqueue_script( 'mailchimp-site-script', get_template_directory_uri() . '/assets/js/vendor/mailchimp/mailchimp.js', array(), '1.0', true );
	}
}
add_action( 'wp_head', 'cm_enqueue_mailchimp' );
