<?php
/**
 * Other functionality for theme.
 *
 * @package WordPress
 * @version 1.0
 */

/**
 * Footer text and link.
 */
function cm_footer() {
	$cm_footer          = '';
	$footer_description = get_option( 'options_footer_description' );
	$footer_developer   = get_option( 'options_footer_developer' );
	$footer_url         = get_option( 'options_footer_url' );
	if ( $footer_description && $footer_developer && $footer_url ) {
		$cm_footer = '<a href="' . esc_url( $footer_url ) . '" rel="nofollow" target="_blank">' . $footer_description . ' ' . $footer_developer . '</a>';
		return $cm_footer;
	}
}

/**
 * Update the wp-admin footer.
 */
function cm_footer_wpadmin() {
	$footer_developer = get_option( 'options_footer_developer' );
	$footer_url       = get_option( 'options_footer_url' );
	if ( $footer_developer && $footer_url ) {
		echo esc_html( get_bloginfo( 'name' ) ) . ' theme developed by <a href="' . esc_url( $footer_url ) . '" target="_blank"><strong>' . esc_html( $footer_developer ) . '</strong></a>, for <a href="http://www.wordpress.org" target="_blank">WordPress</a>.';
	} else {
		return;
	}
}
add_filter( 'admin_footer_text', 'cm_footer_wpadmin' );



/**
 * Order CPTs by title in wp-admin.
 *
 * @param [type] $query [desc].
 */
function cpt_admin_order( $query ) {
	if ( $query->is_admin ) {
		if ( $query->get( 'post_type' ) === 'attraction' && ! isset( $_GET['orderby'] ) ) { // phpcs:ignore
			$query->set( 'orderby', 'title' );
			$query->set( 'order', 'ASC' );
		}
		if ( $query->get( 'post_type' ) === 'event' && ! isset( $_GET['orderby'] ) ) { // phpcs:ignore
			$query->set( 'orderby', 'title' );
			$query->set( 'order', 'ASC' );
		}
		if ( $query->get( 'post_type' ) === 'location' && ! isset( $_GET['orderby'] ) ) { // phpcs:ignore
			$query->set( 'orderby', 'title' );
			$query->set( 'order', 'ASC' );
		}
		if ( $query->get( 'post_type' ) === 'acf-field-group' && ! isset( $_GET['orderby'] ) ) { // phpcs:ignore
			$query->set( 'orderby', 'title' );
			$query->set( 'order', 'ASC' );
		}
	}
	return $query;
}
add_filter( 'pre_get_posts', 'cpt_admin_order' );
