<?php
/**
 * Functions for Media Library uploads.
 * TO DO: get assistance to write this better and fix linting errors.
 *
 * @package WordPress
 * @version 1.0
 */

/**
 * Change upload directory for non-image files: pre-upload.
 *
 * @param  [type] $file [description].
 */
function cm_pre_upload( $file ) {
	add_filter( 'upload_dir', 'cm_csv_upload_dir' );
	add_filter( 'upload_dir', 'cm_doc_upload_dir' );
	add_filter( 'upload_dir', 'cm_docx_upload_dir' );
	add_filter( 'upload_dir', 'cm_pdf_upload_dir' );
	add_filter( 'upload_dir', 'cm_rtf_upload_dir' );
	add_filter( 'upload_dir', 'cm_txt_upload_dir' );
	add_filter( 'upload_dir', 'cm_xls_upload_dir' );
	add_filter( 'upload_dir', 'cm_xlsx_upload_dir' );
	add_filter( 'upload_dir', 'cm_zip_upload_dir' );
	return $file;
}

/**
 * Change upload directory for non-image files: post-upload.
 *
 * @param  [type] $fileinfo [description].
 */
function cm_post_upload( $fileinfo ) {
	remove_filter( 'upload_dir', 'cm_csv_upload_dir' );
	remove_filter( 'upload_dir', 'cm_doc_upload_dir' );
	remove_filter( 'upload_dir', 'cm_docx_upload_dir' );
	remove_filter( 'upload_dir', 'cm_pdf_upload_dir' );
	remove_filter( 'upload_dir', 'cm_rtf_upload_dir' );
	remove_filter( 'upload_dir', 'cm_txt_upload_dir' );
	remove_filter( 'upload_dir', 'cm_xls_upload_dir' );
	remove_filter( 'upload_dir', 'cm_xlsx_upload_dir' );
	remove_filter( 'upload_dir', 'cm_zip_upload_dir' );
	return $fileinfo;
}
/**
 * Change upload directory for .csv files.
 *
 * @param  [type] $path [description].
 */
function cm_csv_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'csv' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .doc files.
 *
 * @param  [type] $path [description].
 */
function cm_doc_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'doc' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .docx files.
 *
 * @param  [type] $path [description].
 */
function cm_docx_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'docx' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .pdf files.
 *
 * @param  [type] $path [description].
 */
function cm_pdf_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'pdf' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .rtf files.
 *
 * @param  [type] $path [description].
 */
function cm_rtf_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'rtf' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .txt files.
 *
 * @param  [type] $path [description].
 */
function cm_txt_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'txt' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .xls files.
 *
 * @param  [type] $path [description].
 */
function cm_xls_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'xls' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .xlsx files.
 *
 * @param  [type] $path [description].
 */
function cm_xlsx_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'xlsx' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
/**
 * Change upload directory for .docx files.
 *
 * @param  [type] $path [description].
 */
function cm_zip_upload_dir( $path ) {
	$extension = substr( strrchr( wp_unslash( $_POST['name'] ), '.' ), 1 ); // phpcs:ignore
	if ( ! empty( $path['error'] || 'zip' !== $extension ) ) {
		return $path;
	} // Error or other filetype; do nothing.
	$customdir      = '/files';
	$path['path']   = str_replace( $path['subdir'], '', $path['path'] ); // Remove default subdir (year/month).
	$path['url']    = str_replace( $path['subdir'], '', $path['url'] );
	$path['subdir'] = $customdir;
	$path['path']  .= $customdir;
	$path['url']   .= $customdir;
	return $path;
}
add_filter( 'wp_handle_upload_prefilter', 'cm_pre_upload' );
add_filter( 'wp_handle_upload', 'cm_post_upload' );

/**
 * Automatically set the image Title, Alt-Text, Caption and Description* upon upload.
 * Description is optional, it is commented out by default.
 * Source: https://brutalbusiness.com/automatically-set-the-wordpress-image-title-alt-text-other-meta/
 *
 * @param [type] $post_id [desc].
 */
function set_image_meta_on_upload( $post_id ) {
	// Check if uploaded file is an image, else do nothing.
	if ( wp_attachment_is_image( $post_id ) ) {
		$the_photo_title = get_post( $post_id )->post_title;
		// Sanitise the title: remove underscores & extra spaces.
		$the_photo_title = preg_replace( '%\s*[_\s]+\s*%', ' ', $the_photo_title );
		// Create an array with the image meta (Title, Caption, Description) to be updated.
		$the_photo_meta = array(
			'ID'         => $post_id, // Specify the image (ID) to be updated.
			'post_title' => $the_photo_title, // Set image Title to sanitised title.
		);
		// Set the image Alt-Text.
		update_post_meta( $post_id, '_wp_attachment_image_alt', $the_photo_title );
		// Set the image meta (e.g. Title, Excerpt, Content).
		wp_update_post( $the_photo_meta );
	}
}
add_action( 'add_attachment', 'set_image_meta_on_upload' );
