<?php
/**
 * Customised user privileges.
 * Linting error due to no version being set.
 *
 * @package WordPress
 * @version 1.0
 */

/**
 * Increase permissions for non-admin users
 *
 * @param [type] $capabilities [description].
 */
function cm_user_capabilities( $capabilities ) {
	global $pagenow;
	if ( 'index.php' === $pagenow ) {
		$capabilities['edit_cm_options'] = 1;
	}
	return $capabilities;
}
// Increase non-admin permissions.
add_filter( 'user_has_cap', 'cm_user_capabilities' );


/**
 * Add a classname to the body with the logged in user's role.
 *
 * @param [type] $classes [description].
 */
function cm_add_role_admin_body_class( $classes ) {
	global $current_user;
	foreach ( $current_user->roles as $role ) {
		$classes .= ' role-' . $role . ' user-id-' . get_current_user_id();
	}
	return trim( $classes );
}
add_filter( 'admin_body_class', 'cm_add_role_admin_body_class' );


/**
 * Clients can publish pages.
 */
function cm_author_capabilities() {
	$role = get_role( 'author' );
	$role->add_cap( 'delete_pages' );
	$role->add_cap( 'delete_published_pages' );
	$role->add_cap( 'edit_others_pages' );
	$role->add_cap( 'edit_others_posts' );
	$role->add_cap( 'edit_pages' );
	$role->add_cap( 'edit_published_pages' );
	$role->add_cap( 'edit_private_pages' );
	$role->add_cap( 'publish_pages' );
	$role->add_cap( 'read_private_pages' );
};
add_action( 'admin_init', 'cm_author_capabilities' );
