<?php
/**
 * Theme header template.
 * Be sure to delete the version of the logo you don't use.
 * E.g. if you use SVG, remove the PNG code.
 *
 * @package WordPress
 * @version 1.0
 */

?>
<!DOCTYPE html>
<html <?php body_class( 'no-js' ); ?> lang="en">
	<head>
		<title><?php wp_title( '', 'right', true ); ?></title>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
		<?php
		wp_body_open();
		do_action( 'insert_gtm_inside_body' );
		?>
		<div class="wrapper">
			<header class="site-header">
				<?php
				get_template_part( 'partials/site/browser' );
				get_template_part( 'partials/alert/small' );
				if ( has_nav_menu( 'top' ) ) {
					?>
					<nav class="site-header--nav top">
					<?php
					wp_nav_menu(
						array(
							'container'      => false,
							'menu_class'     => 'nav',
							'menu_id'        => 'nav--top',
							'theme_location' => 'top',
						)
					);
					?>
					</nav>
					<?php
				}
				?>
				<div class="container">
					<div class="site-header--logo">
						<a href="<?php echo esc_html( home_url() ); ?>" rel="home">
							<?php get_template_part( '/assets/img/logo-alt.svg' ); ?>
						</a>
					</div>
					<div class="site-header--other">
						<?php
						if ( has_nav_menu( 'main' ) ) {
							?>
							<nav class="site-header--nav main">
							<?php
							wp_nav_menu(
								array(
									'container'      => false,
									'menu_class'     => 'nav',
									'menu_id'        => 'nav--main',
									'theme_location' => 'main',
								)
							);
							?>
							</nav>
							<?php
						}
						?>
						<div class="site-header--weather">
							<?php get_template_part( 'partials/custom/weather' ); ?>
						</div>
					</div>

				</div>
			</header>
