<?php
/**
 * Page template.
 *
 * @package WordPress
 * @version 1.0
 */

get_header();
$highlight = get_post_meta( get_the_ID(), '_highlight', true );
?>
<main class="content page page--home">
	<?php get_template_part( 'partials/hero/static' ); ?>
	<article class="container">
		<section class="main">
			<?php
			if ( $highlight ) {
				echo '<div class="highlights">';
				for ( $i = 0; $i < $highlight; $i++ ) {
					$img        = get_post_meta( get_the_ID(), '_highlight_' . $i . '_photo', true );
					$img_size   = 'rectangle-large';
					$img_cap    = get_post_meta( $img, '_wp_attachment_image_alt', true );
					$img_h      = wp_get_attachment_image_src( $img, $img_size )[2];
					$img_srcset = wp_get_attachment_image_srcset( $img, $img_size );
					$img_url    = wp_get_attachment_image_url( $img, $img_size );
					$img_w      = wp_get_attachment_image_src( $img, $img_size )[1];
					$link_url   = get_post_meta( get_the_ID(), '_highlight_' . $i . '_link', true );
					$link_text  = get_post_meta( get_the_ID(), '_highlight_' . $i . '_text', true );
					$link_title = get_post_meta( get_the_ID(), '_highlight_' . $i . '_title', true );
					echo '<div class="highlight">';
					echo '<a class="highlight--photo" href="' . esc_url( get_permalink( $link_url ) ) . '">';
					echo '<img loading="lazy" src="' . esc_url( $img_url ) . '" height="' . esc_attr( $img_h ) . '" width="' . esc_attr( $img_w ) . '" alt="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" title="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" srcset="' . esc_attr( $img_srcset ) . '" />';
					echo '</a>';
					echo '<div class="highlight--content">';
					echo '<span class="highlight--content--title">' . esc_html( $link_title ) . '</span>';
					echo $link_text ? '<span class="highlight--content--text">' . esc_html( $link_text ) . '</span>' : '';
					echo '</div>';
					echo '</div>';
				}
				echo '</div>';
			}
			if ( have_posts() ) {
				while ( have_posts() ) {
					echo '<div class="main--content">';
					the_post();
					the_content();
					echo '</div>';
				}
			}
			get_template_part( 'partials/archive/event' );






			?>
		</section>
	</article>
</main>
<?php
get_footer();
