<?php
/**
 * Page template.
 *
 * @package WordPress
 * @version 1.0
 */

get_header();
$about        = 7;
$archive      = get_post_meta( get_the_ID(), '_cpt_archive', true );
$contact      = 8;
$facilities   = 242;
$page_form    = get_post_meta( get_the_ID(), '_page_form', true );
$page_form_id = get_post_meta( get_the_ID(), '_page_form_id', true );
$page_sidebar = get_post_meta( get_the_ID(), '_page_sidebar', true );
if ( $page_sidebar ) {
	$sidebar_status = ' has-sidebar';
} else {
	$sidebar_status = '';
}
?>
<main class="content page page--internal page--<?php echo esc_html( sanitize_title_with_dashes( get_the_title() ) ); ?>">
	<?php get_template_part( 'partials/hero/static' ); ?>
	<article class="container<?php echo esc_attr( $sidebar_status ); ?>">
		<section class="main">
			<?php
			echo $page_form ? '<div class="contact-form"><div class="col">' : '';
			if ( is_page( $about ) || is_page( $contact ) ) {
				get_template_part( 'partials/location/map' );
			};
			if ( have_posts() ) {
				while ( have_posts() ) {
					the_post();
					the_content();
				}
			}
			echo $page_form_id ? '</div><div class="col">' . do_shortcode( '[contact-form-7 id="' . $page_form_id . '"]' ) . '</div></div>' : '';
			get_template_part( 'partials/content/gallery' );
			get_template_part( 'partials/content/children' );
			if ( $archive ) {
				get_template_part( 'partials/archive/' . $archive );
			}
			if ( is_page( 'privacy' ) || is_page( 'privacy-policy' ) ) {
				get_template_part( 'partials/content/privacy' );
			};
			if ( is_page( 'sitemap' ) ) {
				get_template_part( 'partials/content/sitemap' );
			}
			if ( is_page( 'styleguide' ) ) {
				get_template_part( 'partials/content/styleguide' );
			}
			?>
		</section>
		<?php
		if ( $page_sidebar ) {
			echo '<aside class="sidebar sidebar--rhs">';
			get_sidebar();
			echo '</aside>';
		}
		?>
	</article>
</main>
<?php
get_footer();
