<?php
/**
 * Archive partial for 'brand' CPT. Edit this as required.
 * Generic for now, will become more customised once we have made a few.
 *
 * @package WordPress
 * @version 1.0
 */

$alert_content = get_option( 'options_alert_large_content' );
$alert_link    = get_option( 'options_alert_large_link' );
$alert_theme   = get_option( 'options_alert_large_theme' );
$alert_title   = get_option( 'options_alert_large_title' );
?>
<div class="site-alert" style="display: none;">
	<div class="site-alert--inner<?php echo ' ' . esc_attr( sanitize_title_with_dashes( $alert_theme ) ); ?>">
		<?php
		echo $alert_title ? '<span class="site-alert--title">' . esc_html( do_shortcode( $alert_title ) ) . '</span> ' : '';
		echo '<span class="site-alert--content">' . wp_kses_post( do_shortcode( $alert_content ) ) . '</span>';
		echo $alert_link ? ' <a href="' . esc_url( get_permalink( $alert_link ) ) . '" class="site-alert--link btn btn-white btn-border">Read More</a>' : '';
		echo '<span class="site-alert--dismiss">' . wp_kses_post( get_fa( 'fa-times' ) ) . '</span>';
		echo '<span class="site-alert--dismiss-forever"></span>';
		?>
	</div>
</div>
