<?php
/**
 * Archive partial for 'attraction' CPT. Edit this as required.
 * Generic for now, will become more customised once we have made a few.
 *
 * @package WordPress
 * @version 1.0
 */

$meta_key = 'order'; // set in ACF to match WooCommerce default termmeta.
$taxonomy = 'attraction-category';
$args     = array(
	'hide_empty' => 1,
	'meta_query' => array( // phpcs:ignore
		'relation' => 'or',
		array(
			'compare' => 'EXISTS',
			'key'     => $meta_key,
		),
		array(
			'compare' => 'NOT EXISTS',
			'key'     => $meta_key,
		),
	),
	'order'      => 'asc',
	'orderby'    => 'meta_value_num, name',
	'pad_counts' => 1,
	'parent'     => 0,
	'taxonomy'   => $taxonomy,
);
// $terms    = get_terms( $args );
// if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) {
	// foreach ( $terms as $term ) {
		// echo '<div class="facilities-list facilities-list--' . esc_html( $term->slug ) . '">';
		echo '<div class="facilities-list">';
		// echo '<span class="facilities-list--title">' . esc_html( $term->name ) . '</span>';
		// Call the attractions in each category.
		$args        = array(
			'order'       => 'asc',
			'orderby'     => 'title',
			'paged'       => $pagination,
			'post_status' => 'publish',
			'post_type'   => 'attraction',
			// 'tax_query'   => array(
			// 	array(
			// 		'field'    => 'term_id',
			// 		'taxonomy' => $taxonomy,
			// 		'terms'    => $term->term_id,
			// 	),
			// ),
		);
		$attraction    = new WP_Query( $args );
		if ( $attraction->have_posts() ) {

			while ( $attraction->have_posts() ) {
				$attraction->the_post();
				// Get all the post meta.
				$address1     = get_post_meta( get_the_ID(), '_attraction_address_line_1', true );
				// $address2     = get_post_meta( get_the_ID(), '_attraction_address_line_2', true );
				$content      = get_the_content();
				$content      = null;
				$email        = get_post_meta( get_the_ID(), '_attraction_contact_email', true );
				$photo        = get_post_meta( get_the_ID(), '_thumbnail_id', true );
				$photo_cap    = get_post_meta( $photo, '_wp_attachment_image_alt', true );
				$photo_credit = get_post_meta( get_the_ID(), '_attraction_photo_credit', true );
				$photo_size   = 'rectangle-medium';
				$postcode     = get_post_meta( get_the_ID(), '_attraction_address_postcode', true );
				$telephone    = get_post_meta( get_the_ID(), '_attraction_contact_telephone', true );
				$town         = get_post_meta( get_the_ID(), '_attraction_address_town', true );
				$website      = get_post_meta( get_the_ID(), '_attraction_contact_website', true );
				if ( $email ) {
					$email_link = antispambot( $email, 1 );
				}
				// Combine credit and caption.
				if ( $photo_cap && $photo_credit ) {
					$photo_cap = $photo_cap . ' | Photo: ' . $photo_credit;
				}
				echo '<div class="facility">';
				echo '<div class="facility--photo">';
				if ( $content ) {
					echo '<a class="facility--photo--inner" href="' . esc_url( get_permalink() ) . '">';
				} else {
					echo '<div class="facility--photo--inner">';
				}
				if ( $photo ) {
					$photo_h      = wp_get_attachment_image_src( $photo, $photo_size )[2];
					$photo_srcset = wp_get_attachment_image_srcset( $photo, $photo_size );
					$photo_w      = wp_get_attachment_image_src( $photo, $photo_size )[1];
					echo '<img loading="lazy" src="' . esc_url( wp_get_attachment_image_url( $photo, $photo_size ) ) . '" height="' . esc_attr( $photo_h ) . '" width="' . esc_attr( $photo_w ) . '" alt="' . esc_html( do_shortcode( $photo_cap ? $photo_cap : '' ) ) . '" title="' . esc_html( do_shortcode( $photo_cap ? $photo_cap : '' ) ) . '" srcset="' . esc_attr( $photo_srcset ) . '" />';
				}
				if ( $content ) {
					echo '</a>';
				} else {
					echo '</div>';
				}
				echo '</div>';
				echo '<div class="facility--details">';
				if ( $content ) {
					echo '<a class="facility--title" href="' . esc_url( get_permalink() ) . '">' . esc_html( get_the_title() ) . '</a>';
				} else {
					echo '<span class="facility--title">' . esc_html( get_the_title() ) . '</span>';
				}
				if ( $address1 . $email . $postcode . $telephone . $town . $website ) {
					echo '<ul class="facility--contact">';
					if ( $address1 && $town ) {

						if ( $postcode ) {
							$address_link = $address1 . ', ' . $town . ' ' . $postcode;
						} else {
							$address_link = $address1 . ', ' . $town;
						}

						echo '<li class="facility--contact--address"><ul><li><a href="https://www.google.com/maps/place/' . esc_html( str_replace(' ', '+', $address_link ) ) . '" target="_blank">';

						echo $address1 ? esc_html( $address1 ) . ' ' : '';
						if ( $address1 && $town ) {
							echo '<br>';
						}
						echo $town ? esc_html( $town ) . ' ' : '';
						echo $postcode ? esc_html( $postcode ) : '';

						echo '</a></li></ul></li>';
					}
					if ( $telephone ) {
						$telephone = str_replace( array( '(', ')' ), '', $telephone );
						echo '<li class="facility--contact--phone"><a href="tel:' . esc_html( str_replace( ' ', '', $telephone ) ) . '">' . esc_html( $telephone ) . '</a></li>';
					}
					if ( $email . $website ) {
						echo '<li class="facility--contact--links"><ul>';
						echo $email ? '<li><a href="mailto:' . esc_html( $email_link ) . '"><span class="hidden">Email</span>' . wp_kses_post( get_fa( 'fa-envelope' ) ) . '</a></li>' : '';
						echo $website ? '<li><a href="' . esc_url( $website ) . '"><span class="hidden">Website</span>' . wp_kses_post( get_fa( 'fa-link' ) ) . '</a></li>' : '';
						echo '</ul></li>';
					}
					echo '</ul>';
				}
				echo '</div>';
				echo '</div>';
			}
		}

		echo '</div>';
	// }
// }

