<?php
/**
 * Archive partial for 'brand' CPT. Edit this as required.
 * Generic for now, will become more customised once we have made a few.
 *
 * @package WordPress
 * @version 1.0
 */

global $this_cpt;
$date_format = 'F j Y';
$pagination  = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$args        = array(
	'order'       => 'asc',
	'orderby'     => 'title',
	'paged'       => $pagination,
	'post_status' => 'publish',
	'post_type'   => 'brand',
);
$this_cpt    = new WP_Query( $args );
if ( $this_cpt->have_posts() ) {
	echo '<section class="archive--brands brands">';
	while ( $this_cpt->have_posts() ) {
		$this_cpt->the_post();
		echo '<div id="brand-' . esc_attr( get_the_ID() ) . '" class="' . esc_attr( join( ' ', get_post_class() ) ) . '">';
		if ( has_post_thumbnail() ) {
			echo '<a href="' . esc_url( get_the_permalink() ) . '" class="brand--image">';
			the_post_thumbnail( 'square-small' );
			echo '</a>';
		};
		echo '<div class="brand--excerpt">';
		echo '<time datetime="' . esc_attr( get_the_time( 'Y-m-d' ) ) . '">' . esc_attr( get_the_time( $date_format ) ) . '</time>';
		echo '<h3><a href="' . esc_url( get_the_permalink() ) . '" class="brand--title">' . esc_html( get_the_title() ) . '</a></h3>';
		if ( function_exists( 'content_excerpt' ) ) {
			echo wp_kses_post( content_excerpt( get_the_ID(), 55 ) );
		} else {
			the_excerpt();
		};
		echo ' <a href="' . esc_url( get_permalink() ) . '" class="brand--continue continue">Read more ' . wp_kses_post( get_fa( 'fa-angle-right' ) ) . '</a>';
		echo '</div>';
		echo '</div>';
	}
	echo '</section>';
	wp_reset_postdata();
	get_template_part( 'partials/archive/pagination' );
}
