<?php
/**
 * Archive partial for 'event' CPT. Edit this as required.
 * Generic for now, will become more customised once we have made a few.
 *
 * @package WordPress
 * @version 1.0
 */

if ( is_front_page() || is_home() ) {
	$ppp = 3;
} else {
	$ppp = 99;
}

$today       = current_time( 'Ymd' );
$args        = array(
	'meta_key'       => '_event_date_start', // phpcs:ignore
	'meta_query'     => array( // phpcs:ignore
		array(
			'key'     => '_event_date_start',
			'compare' => '>=',
			'value'   => $today,
		),
	),
	'order'       => 'asc',
	'orderby'     => 'meta_value',
	'post_status' => 'publish',
	'post_type'   => 'event',
	'posts_per_page' => $ppp,
);
$event    = new WP_Query( $args );
$upcoming_events = $event->found_posts;
if ( $event->have_posts() ) {
	if ( is_front_page() || is_home() ) {
		echo '<div class="upcoming-events">';
		echo '<h3 class="events--title">What\'s Happening in Wakool</h3>';
	}
	echo '<div class="events">';
	while ( $event->have_posts() ) {
		$event->the_post();
		// Get all the post meta.
		$end_date     = get_post_meta( get_the_ID(), '_event_date_end', true );
		$end_time     = get_post_meta( get_the_ID(), '_event_date_end_time', true );
		$link         = get_post_meta( get_the_ID(), '_event_link', true );
		$location     = get_post_meta( get_the_ID(), '_event_location', true );
		$photo        = get_post_meta( get_the_ID(), '_event_img', true );
		$photo_cap    = get_post_meta( $photo, '_wp_attachment_image_alt', true );
		$photo_size   = 'full';
		$start_date   = get_post_meta( get_the_ID(), '_event_date_start', true );
		$start_time   = get_post_meta( get_the_ID(), '_event_date_start_time', true );
		$tickets      = get_post_meta( get_the_ID(), '_event_link_ticket', true );
		echo '<div class="event" id="event-' . esc_html( sanitize_title_with_dashes( get_the_title() ) ) . '">';
		echo '<div class="event--photo">';
		echo '<div class="event--photo--inner">';
		if ( $photo ) {
			$photo_h      = wp_get_attachment_image_src( $photo, $photo_size )[2];
			$photo_srcset = wp_get_attachment_image_srcset( $photo, $photo_size );
			$photo_w      = wp_get_attachment_image_src( $photo, $photo_size )[1];
			echo '<img loading="lazy" src="' . esc_url( wp_get_attachment_image_url( $photo, $photo_size ) ) . '" height="' . esc_attr( $photo_h ) . '" width="' . esc_attr( $photo_w ) . '" alt="' . esc_html( do_shortcode( $photo_cap ? $photo_cap : '' ) ) . '" title="' . esc_html( do_shortcode( $photo_cap ? $photo_cap : '' ) ) . '" srcset="' . esc_attr( $photo_srcset ) . '" />';
		}
		echo '</div>';
		echo '</div>';
		echo '<div class="event--details">';
		echo '<span class="event--date"><span>' . esc_html( date( 'M', strtotime( $start_date ) ) ) . '</span> ' . esc_html( date( 'd', strtotime( $start_date ) ) ) . '</span>';
		echo '<span class="event--title">' . esc_html( get_the_title() ) . '</span>';
		if ( $start_date === $end_date ) {
			if ( $start_time ) {
				$start_datetime = date( 'Y-m-d', strtotime( $start_date ) ) . ' ' . $start_time;
			}
			echo '<time datetime="' . esc_html( $start_datetime ) . '" class="event--date--full">';
			echo esc_html( date( 'F j', strtotime( $start_date ) ) );
			echo $start_time ? ' ' . esc_html( date( 'g:ia', strtotime( $start_time ) ) ) : '';
			if ( $start_time ) {
				echo $end_time ? ' - ' . esc_html( date( 'g:ia', strtotime( $end_time ) ) ) : '';
			}
			echo '</time>';
		} else {
			echo '<time datetime="' . esc_html( $start_datetime ) . '" class="event--date--full">';
			echo esc_html( date( 'F j', strtotime( $start_date ) ) );
			echo $start_time ? ' ' . esc_html( date( 'g:ia', strtotime( $start_time ) ) ) : '';
			echo ' - ' . esc_html( date( 'F j', strtotime( $end_date ) ) );
			if ( $start_time ) {
				echo $end_time ? ' ' . esc_html( date( 'g:ia', strtotime( $end_time ) ) ) : '';
			}
			echo '</time>';
		}
		echo $location ? '<span class="event--location">' . esc_html( $location ) . '</span> ' : '';
		if ( ! is_front_page() && ! is_home() ) {
			echo wp_kses_post( wpautop( get_the_content() ) );
		}
		if ( is_front_page() || is_home() ) {
			if ( get_the_content() ) {
				echo '<hr /><a href="' . esc_url( get_permalink( 240 ) ) . '#event-' . esc_html( sanitize_title_with_dashes( get_the_title() ) ) . '" class="btn btn-color1 btn-border">Find Out More</a> ';
			}
		}
		echo $tickets ? '<a href="' . esc_url( $tickets ) . '" class="btn btn-color1 btn-border" target="_blank">Buy Tickets</a> ' : '';
		echo $link ? '<a href="' . esc_url( $link ) . '" class="btn btn-color1 btn-border" target="_blank">Visit Website</a>' : '';


		echo '</div>';

		echo '</div>';
	}
	echo '</div>';
	if ( is_front_page() || is_home() ) {
		if ( 3 < $upcoming_events ) {
			echo '<a href="' . esc_url( get_permalink( 240 ) ) . '" class="btn btn-color1 btn-border" target="_blank">See More Events</a>';
		}
		echo '</div>';
	}
} else {
	if ( ! is_front_page() && ! is_home() ) {
		echo '<p>No events currently scheduled.</p>';
	}
}

