<?php
/**
 * Archive partial for 'review' CPT. Edit this as required.
 * Generic for now, will become more customised once we have made a few.
 *
 * @package WordPress
 * @version 1.0
 */

global $this_cpt;
$pagination = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

$args     = array(
	'paged'          => $pagination,
	'post_status'    => 'publish',
	'post_type'      => 'review',
	'posts_per_page' => 99,
);
$this_cpt = new WP_Query( $args );
if ( $this_cpt->have_posts() ) {
	echo '<section class="archive--reviews reviews">';
	while ( $this_cpt->have_posts() ) {
		$this_cpt->the_post();
		$review_business = get_post_meta( get_the_ID(), '_review_business', true );
		$review_position = get_post_meta( get_the_ID(), '_review_position', true );
		$review_website  = get_post_meta( get_the_ID(), '_review_website', true );
		echo '<div id="review-' . esc_attr( get_the_ID() ) . '" class="' . esc_attr( join( ' ', get_post_class() ) ) . '">';
		the_content();
		echo '<cite>' . esc_html( get_the_title() ) . '</cite>';
		if ( $review_business || $review_position || $review_website ) {
			echo '<ul class="review--details">';
			echo $review_position ? '<li>' . esc_html( $review_position ) . '</li>' : '';
			if ( $review_business && $review_website ) {
				echo $review_business ? '<li><a href="' . esc_url( $review_website ) . '"  rel="nofollow" target="_blank">' . esc_html( $review_business ) . '</a></li>' : '';
			} else {
				echo $review_business ? '<li>' . esc_html( $review_business ) . '</li>' : '';
			}
			echo '</ul>';
		}
		echo '</div>';
	}
	echo '</section>';
	wp_reset_postdata();
	get_template_part( 'partials/archive/pagination' );
}
