<?php
/**
 * Children partial - for listing sub-pages.
 *
 * @package WordPress
 */

global $post;
$children = get_pages(
	array(
		'child_of' => $post->ID,
	)
);
if ( is_page() && count( $children ) > 0 ) {
	$args     = array(
		'meta_query'     => array( // phpcs:ignore
			'relation' => 'or',
			array(
				'compare' => 'NOT EXISTS',
				'key'     => '_page_hide',
			),
			array(
				'compare' => '=',
				'key'     => '_page_hide',
				'value'   => '0',
			),
		),
		'order'          => 'asc',
		'orderby'        => 'menu_order title',
		'post_parent'    => $post->ID,
		'post_status'    => 'publish',
		'post_type'      => 'page',
		'posts_per_page' => 99,
	);
	$children = new WP_Query( $args );
	if ( $children->have_posts() ) {
		echo '<div class="page-children">';
		while ( $children->have_posts() ) {
			$children->the_post();
			echo '<div id="post-' . esc_attr( get_the_ID() ) . '" class="' . esc_attr( join( ' ', get_post_class( 'child btn btn-child' ) ) ) . '">';
			echo '<a href="' . esc_url( get_the_permalink() ) . '" class="child-title">' . esc_html( get_the_title() ) . wp_kses_post( get_fa( 'fa-long-arrow-right' ) ) . '</a>';
			echo '</div>';
		}
		echo '</div>';
	}
	wp_reset_postdata();
}
