<?php
/**
 * Gallery partial for ACF.
 *
 * @package WordPress
 * @version 1.0
 */

$gallery_cols = get_post_meta( get_the_ID(), '_gallery_columns', true );
$gallery_imgs = get_post_meta( get_the_ID(), '_gallery_images', true );
if ( $gallery_imgs ) {
	echo '<div class="gallery gallery-columns-' . esc_html( sanitize_title_with_dashes( $gallery_cols ) ) . '">';
	foreach ( $gallery_imgs as $img ) {
		$img_cap    = get_post_meta( $img, '_wp_attachment_image_alt', true );
		$img_url    = wp_get_attachment_image_url( $img, 'full' );
		$img_srcset = wp_get_attachment_image_srcset( $img, 'full' );
		echo '<figure class="gallery-item">';
		echo '<div class="gallery-icon">';
		echo '<a class="swipebox" href="' . esc_url( $img_url ) . '" rel="gallery" title="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '">';
		echo '<img loading="lazy" src="' . esc_url( $img_url ) . '" alt="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" alt="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" height="' . esc_attr( wp_get_attachment_image_src( $img, 'full' )[2] ) . '" width="' . esc_attr( wp_get_attachment_image_src( $img, 'full' )[1] ) . '" srcset="' . esc_attr( $img_srcset ) . '" >';
		echo '</a>';
		echo $img_cap ? '<figcaption class="gallery-caption">' . esc_html( $img_cap ) . '</figcaption>' : '';
		echo '</div>';
		echo '</figure>';
	}
	echo '</div>';
}
wp_reset_postdata();
