<?php
/**
 * Styleguide.
 *
 * @package WordPress
 * @version 1.0
 */

?>
<section class="styleguide">
	<section class="styleguide-colors" data-title="Colours">
		<ul>
			<li class="color1"></li>
			<li class="color2"></li>
			<li class="color3"></li>
			<li class="body"></li>
			<li class="grey"></li>
			<li class="grey-light"></li>
		</ul>
	</section>
	<section class="styleguide-fonts" data-title="Fonts">
		<ul>
			<li class="fonts--heading"><strong>Heading Font:</strong></li>
			<li class="fonts--body"><strong>Body Font:</strong></li>
		</ul>
	</section>
	<section class="styleguide-typography" data-title="Typography">
		<h1>Heading 1</h1>
		<h2>Heading 2</h2>
		<h3>Heading 3</h3>
		<h4>Heading 4</h4>
		<p>Paragraph: The quick brown fox jumped over the lazy dog. The quick brown fox jumped over the lazy dog. The quick brown fox jumped over the lazy dog. The quick brown fox jumped over the lazy dog.</p>
		<p>The <strong>quick</strong> <em>brown</em> fox <a href="#">jumped over</a> the lazy dog. The <del>quick</del> <ins>slow</ins> brown fox jumped over the lazy dog. The quick brown fox jumped over the lazy dog.</p>
		<small>Small</small>
		<small class="meta">Small (meta)</small>
		<time>Time e.g. <?php echo esc_html( current_time( 'd F Y - g:ia' ) ); ?></time>
		<time class="meta"><?php echo esc_html( current_time( 'd F Y - g:ia' ) ); ?> (meta)</time>
		<ol data-title="Ordered List">
			<li>Ordered List Item 1</li>
			<li>Ordered List Item 2
				<ol>
					<li>Ordered List Item 2 - Second Level Item 1</li>
					<li>Ordered List Item 2 - Second Level Item 2</li>
				</ol>
			</li>
			<li>Ordered List Item 3</li>
		</ol>
		<ul data-title="Unordered List">
			<li>Unordered List Item 1</li>
			<li>Unordered List Item 2
				<ul>
					<li>Unordered List Item 2 - Second Level Item 1</li>
					<li>Unordered List Item 2 - Second Level Item 2</li>
				</ul>
			</li>
			<li>Unordered List Item 3</li>
		</ul>
	</section>
	<section class="styleguide-buttons" data-title="Buttons">
		<ul>
			<li><a href="#" class="btn btn-color1">Colour 1</a></li>
			<li><a href="#" class="btn btn-color2">Colour 2</a></li>
			<li><a href="#" class="btn btn-color3">Colour 3</a></li>
			<li><a href="#" class="btn btn-grey">Grey</a></li>
			<li><a href="#" class="btn btn-grey-light">Grey Light</a></li>
			<li><a href="#" class="btn">Default</a></li>
		</ul>
		<ul>
			<li><a href="#" class="btn btn-color1 btn-border">Colour 1</a></li>
			<li><a href="#" class="btn btn-color2 btn-border">Colour 2</a></li>
			<li><a href="#" class="btn btn-color3 btn-border">Colour 3</a></li>
			<li><a href="#" class="btn btn-grey btn-border">Grey</a></li>
			<li><a href="#" class="btn btn-grey-light btn-border">Grey Light</a></li>
			<li><a href="#" class="btn btn-border">Default</a></li>
		</ul>
		<ul>
			<li><a href="#" class="continue">Read More</a></li>
		</ul>
	</section>
	<section class="styleguide-pagination" data-title="Pagination">
		<div class="page--pagination">
			<ul class="page-numbers">
			<li><a class="prev page-numbers" href="#"><?php fa( 'fa-angle-left' ); ?></a></li>
				<li><span class="page-numbers current">1</span></li>
				<li><a class="page-numbers" href="#">2</a></li>
				<li><a class="page-numbers" href="#">3</a></li>
				<li><a class="page-numbers" href="#">4</a></li>
				<li><a class="page-numbers" href="#">5</a></li>
				<li><a class="next page-numbers" href="#"><?php fa( 'fa-angle-right' ); ?></a></li>
			</ul>
		</div>
	</section>
	<?php
	if ( class_exists( 'WooCommerce' ) ) {
		global $woocommerce;
		?>
		<section class="styleguide-woocommerce woocommerce" data-title="WooCommerce">
			<p class="woocommerce-info">No products were found matching your selection.</p>
			<div class="woocommerce-info">
				<a href="<?php echo esc_url( wc_get_cart_url() ); ?>" tabindex="1" class="button wc-forward">Button text</a> This is a generic information message with a button, in a div.
			</div>
			<div class="woocommerce-notices-wrapper">
				<div class="woocommerce-message">
					<a href="<?php echo esc_url( wc_get_cart_url() ); ?>" tabindex="1" class="button wc-forward">View cart</a> "Product Name" has been added to your cart.
				</div>
			</div>
			<div class="woocommerce-notices-wrapper">
				<div class="woocommerce-message">Cart updated.</div>
			</div>
			<div class="woocommerce-notices-wrapper">
				<div class="woocommerce-message">
					"Product Name" removed. <a href="<?php echo esc_url( wc_get_cart_url() ); ?>" class="restore-item">Undo?</a>
				</div>
			</div>
			<div class="woocommerce-notices-wrapper">
				<ul class="woocommerce-error" role="alert">
					<li><a href="<?php echo esc_url( wc_get_cart_url() ); ?>" class="button wc-forward">View cart</a> You cannot add another "Product Name" to your cart.</li>
				</ul>
			</div>
			<div class="woocommerce-NoticeGroup woocommerce-NoticeGroup-checkout">
				<ul class="woocommerce-error" role="alert">
					<li><strong>Billing First name</strong> is a required field.</li>
					<li><strong>Billing Last name</strong> is a required field.</li>
					<li><strong>Billing Street address</strong> is a required field.</li>
					<li>Please read and accept the terms and conditions to proceed with your order.</li>
				</ul>
			</div>
		</section>
		<?php
	}
	?>
	<section class="styleguide-alerts" data-title="Alerts">
		<div class="site-alert-small">
			<div class="site-alert">
				<span class="site-alert--title">Optional title</span>
				<span class="site-alert--content">Text displayed in the top-of-page alert</span>
				<a href="#" class="site-alert--link continue">Read More</a>
				<span class="site-alert--dismiss"><?php fa( 'fa-times' ); ?></span>
			</div>
			<div class="site-alert christmas">
				<span class="site-alert--title">Optional title</span>
				<span class="site-alert--content">Text displayed in the top-of-page alert, with a Christmas theme</span>
				<a href="#" class="site-alert--link continue">Read More</a>
				<span class="site-alert--dismiss"><?php fa( 'fa-times' ); ?></span>
			</div>
		</div>
		<div class="site-alert-large">
			<div class="site-alert">
				<div class="site-alert--inner">
					<span class="site-alert--title">Optional title</span>
					<span class="site-alert--content">Text displayed in the modal/pop-up alert</span>
					<a href="#" class="site-alert--link btn btn-white btn-border">Read More</a>
					<span class="site-alert--dismiss"><?php fa( 'fa-times' ); ?></span>
					<span class="site-alert--dismiss-forever"></span>
				</div>
			</div>
			<div class="site-alert">
				<div class="site-alert--inner christmas">
					<span class="site-alert--title">Optional title</span>
					<span class="site-alert--content">Text displayed in the modal/pop-up alert, with a Christmas theme</span>
					<a href="#" class="site-alert--link btn btn-white btn-border">Read More</a>
					<span class="site-alert--dismiss"><?php fa( 'fa-times' ); ?></span>
					<span class="site-alert--dismiss-forever"></span>
				</div>
			</div>
		</div>
	</section>
</section>




