<?php
/**
 * Weather partial.
 *
 * @package WordPress
 * @version 1.0
 */

$location_id    = '2145067';
$weather        = 'http://api.openweathermap.org/data/2.5/weather?id=' . $location_id . '&units=metric&cnt=7&lang=en&appid=3ef896af9fed35d90f9c90a31160a36f';
$weatherrequest = wp_remote_get( $weather );

if ( is_wp_error( $weatherrequest ) ) {
	return false;
} else {
	$weatherbody = wp_remote_retrieve_body( $weatherrequest );
	$jsondata    = json_decode( $weatherbody, true );

	$conditions  = $jsondata['weather'][0]['main'];
	$icon        = $jsondata['weather'][0]['icon'];
	$temperature = round( $jsondata['main']['temp'], 1 ) . '&deg;C';

	// Icons.
	if ( '01d' === $icon ) {
		$icon_fa = 'sun';
	}
	if ( '01n' === $icon ) {
		$icon_fa = 'moon';
	}
	if ( '02d' === $icon ) {
		$icon_fa = 'sun-cloud';
	}
	if ( '02n' === $icon ) {
		$icon_fa = 'moon-cloud';
	}
	if ( '03d' === $icon || '03n' === $icon ) {
		$icon_fa = 'cloud';
	}
	if ( '04d' === $icon || '04n' === $icon ) {
		$icon_fa = 'clouds';
	}
	if ( '09d' === $icon || '09n' === $icon ) {
		$icon_fa = 'cloud-showers';
	}
	if ( '10d' === $icon || '10n' === $icon ) {
		$icon_fa = 'cloud-showers-heavy';
	}
	if ( '11d' === $icon || '11n' === $icon ) {
		$icon_fa = 'thunderstorm';
	}
	if ( '13d' === $icon || '13n' === $icon ) {
		$icon_fa = 'snowflake';
	}
	if ( '50d' === $icon || '50n' === $icon ) {
		$icon_fa = 'fog';
	}
	// Output.
	echo wp_kses_post( get_fa( 'fa-' . $icon_fa ) );
	echo '<span>' . esc_html( $temperature ) . '</span>';
}
