<?php
/**
 * Slider template - edit as required.
 *
 * @package WordPress
 * @version 1.0
 */

$slider = get_post_meta( get_the_ID(), '_slider', true );
if ( $slider ) {
	echo '<div class="page-hero page-hero--slider">';
	echo '<div class="slider--inner">';
	for ( $i = 0; $i < $slider; $i++ ) {
		$img        = get_post_meta( get_the_ID(), '_slider_' . $i . '_image', true );
		$img_size   = 'hero-home';
		$img_cap    = get_post_meta( $img, '_wp_attachment_image_alt', true );
		$img_h      = wp_get_attachment_image_src( $img, $img_size )[2];
		$img_url    = wp_get_attachment_image_url( $img, $img_size );
		$img_w      = wp_get_attachment_image_src( $img, $img_size )[1];
		$link_url   = get_post_meta( get_the_ID(), '_slider_' . $i . '_link', true );
		$img_srcset = wp_get_attachment_image_srcset( $img, $img_size );
		echo '<div class="hero slide">';
		echo '<div class="slide--inner">';
		echo $link_url ? '<a href="' . esc_url( get_permalink( $link_url ) ) . '">' : '';
		echo '<img loading="lazy" class="slide--image" src="' . esc_url( $img_url ) . '" height="' . esc_attr( $img_h ) . '" width="' . esc_attr( $img_w ) . '" alt="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" title="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" srcset="' . esc_attr( $img_srcset ) . '" />';
		echo $link_url ? '</a>' : '';
		echo '</div>';
		echo '</div>';
	}
	echo '</div>';
	get_template_part( '/assets/img/logo.svg' );
	echo '</div>';
}
wp_reset_postdata();
