<?php
/**
 * Hero image partial - edit as required.
 *
 * @package WordPress
 * @version 1.0
 */

$blog        = get_option( 'page_for_posts' );
$img         = get_post_meta( get_the_ID(), '_thumbnail_id', true );
$img_cap     = get_post_meta( $img, '_wp_attachment_image_alt', true );
$img_credit  = get_post_meta( get_the_ID(), '_photo_credit', true );
$img_inherit = get_post_meta( get_the_ID(), '_thumbnail_id_inherit', true );
$img_size    = 'hero';
$img_url     = '';
$intro       = get_post_meta( get_the_ID(), '_introduction', true );
if ( $img_cap && $img_credit ) {
	$img_cap = $img_cap . ' | Photo: ' . $img_credit;
}

// All main pages.
if ( is_page() ) {
	// Child pages.
	if ( $img_inherit ) {
		$img = get_post_meta( get_post_thumbnail_id( $post->post_parent ), '_thumbnail_id', true );
	}
}

// Blog page.
if ( is_blog() ) {
	$img = get_post_meta( $blog, '_thumbnail_id', true );
}

// Do the thing.
echo '<div class="page-hero page-hero--static">';
echo '<div class="hero">';
if ( $img ) {
	$img_h      = wp_get_attachment_image_src( $img, $img_size )[2];
	$img_w      = wp_get_attachment_image_src( $img, $img_size )[1];
	$img_srcset = wp_get_attachment_image_srcset( $img, $img_size );
	echo '<img loading="lazy" src="' . esc_url( wp_get_attachment_image_url( $img, $img_size ) ) . '" height="' . esc_attr( $img_h ) . '" width="' . esc_attr( $img_w ) . '" alt="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" title="' . esc_html( do_shortcode( $img_cap ? $img_cap : '' ) ) . '" srcset="' . esc_attr( $img_srcset ) . '" />';
}
echo '<div class="page-hero--heading">';
get_template_part( '/assets/img/logo.svg' );
get_template_part( 'partials/content/title' );
if ( is_front_page() || is_page( 'home' ) ) {
	echo $intro ? '<h4>' . esc_html( $intro ) . '</h4>' : '';
}
echo '</div>';
echo '</div>';
echo '</div>';
wp_reset_postdata();
