<?php
/**
 * Address partial. Utilises 'did_action( 'get_footer' )' to show more
 * information depending on where partial was called from. Modify to
 * suit your needs.
 *
 * @package WordPress
 * @version 1.0
 */

$location_id = get_option( 'theme_location_id' );
if ( $location_id ) {
	$area   = get_post_meta( $location_id, '_location_address_area', true );
	$city   = get_post_meta( $location_id, '_location_address_city', true );
	$phone  = get_post_meta( $location_id, '_location_contact_primary_telephone', true );
	$schema = get_post_meta( $location_id, '_location_schema_classification', true );
	// Begin output.
	echo '<div itemscope itemtype="http://schema.org/' . esc_attr( $schema ) . '" class="location site-header--location">';
	echo '<address itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">';
	// City.
	if ( $city ) {
		echo '<div itemprop="addressLocality">';
		if ( $area ) {
			echo esc_html( $area );
		} else {
			echo esc_html( $city );
		}
		echo '</div>';
	};
	// Telephone.
	if ( $phone ) {
		$phone = str_replace( array( '(', ')' ), '', $phone );
		echo '<a href="tel:' . esc_html( str_replace( ' ', '', $phone ) ) . '" itemprop="telephone" onclick="ga(\'send\',\'event\',\'phone call\',\'click\');" class="tel" x-ms-format-detection="none">' . esc_html( $phone ) . '</a>';
	}
	echo '</address>';
	echo '</div>';
}
wp_reset_postdata();
