<?php
/**
 * Breadcrumbs partial - a work in progress.
 *
 * @package WordPress
 * @version 1.0
 */

global $post, $wp_query;
$blog = get_option( 'page_for_posts' );
echo '<ul class="site-breadcrumbs">';
// Show the homepage.
echo '<li><a href="' . esc_url( get_option( 'home' ) ) . '" class="breadcrumb">Home</a></li>';
// Breadcrumbs for pages.
if ( is_page() ) {
	if ( $post->post_parent ) {
		// If child page, get parents.
		$ancestors = get_post_ancestors( $post->ID );
		// Get parents in the right order.
		$ancestors = array_reverse( $ancestors );
		// Parent page loop.
		if ( ! isset( $parents ) ) {
			$parents = null;
		}
		foreach ( $ancestors as $ancestor ) {
			$parents .= '<li><a href="' . esc_url( get_permalink( $ancestor ) ) . '" class="breadcrumb">' . get_the_title( $ancestor ) . '</a></li>';
		}
		// Display parent pages.
		echo wp_kses_post( $parents );
		// Current page.
		echo '<li>' . esc_html( get_the_title() ) . '</li>';
	} else {
		// Just display current page if not parents.
		echo '<li> ' . esc_html( get_the_title() ) . '</li>';
	}
}
// For blog and its archives.
if ( is_blog() ) {
	echo '<li><a href="' . esc_url( get_the_permalink( $blog ) ) . '" class="breadcrumb">' . esc_html( get_the_title( $blog ) ) . '</a></li>';
}
// For blog categories.
if ( is_category() ) {
	// Category page.
	echo '<li>' . esc_attr( single_cat_title( '', false ) ) . '</li>';
}
// For single post.
if ( is_singular( 'post' ) ) {
	echo '<li> ' . esc_html( get_the_title() ) . '</li>';
}
// For single post.
if ( is_404() ) {
	echo '<li>Error 404: Nothing Found</li>';
}
wp_reset_postdata();
echo '</ul>';
