<?php
/**
 * Mobile menu partial.
 *
 * @package WordPress
 * @version 1.0
 */

$location_id = get_option( 'theme_location_id' );
$directions  = get_post_meta( $location_id, '_location_map_directions', true );
$telephone   = get_post_meta( $location_id, '_location_contact_primary_telephone', true );
echo '<div class="site-mobile">';
echo '<ul class="site-mobile--menu">';
if ( has_nav_menu( 'main' ) ) {
	echo '<li class="mobile-nav-toggle">';
	fa( 'fa-bars' );
	echo '</li>';
}
if ( $telephone ) {
	$telephone = str_replace( array( '(', ')' ), '', $telephone );
	echo '<li>';
	echo '<a href="tel:' . esc_html( str_replace( ' ', '', $telephone ) ) . '" itemprop="telephone" onclick="ga(\'send\',\'event\',\'phone call\',\'click\');">';
	fa( 'fa-phone-alt' );
	echo '<span class="hidden">' . esc_html( $telephone ) . '</span>';
	echo '</a>';
	echo '</li>';
}
if ( $directions && strpos( $directions, 'google' ) !== false ) {
	// Only output if the URL contains 'google'.
	echo '<li>';
	echo '<a href="' . esc_url( $directions ) . '" rel="nofollow" target="_blank">';
	fa( 'fa-map-marker' );
	echo '<span class="hidden">' . esc_url( $directions ) . '</span>';
	echo '</a>';
	echo '</li>';
}
echo '<li class="mobile-weather">';
get_template_part( 'partials/custom/weather' );
echo '</li>';
echo '</ul>';
wp_reset_postdata();
// Get mobile menu.
if ( has_nav_menu( 'main' ) ) {
	echo '<nav class="site-mobile--menu--nav">';
	echo '<div class="site-mobile--menu--nav--inner">';
	if ( has_nav_menu( 'top' ) ) {
		wp_nav_menu(
			array(
				'container'      => false,
				'menu_class'     => 'site-mobile--menu--nav--menu',
				'menu_id'        => 'site-mobile--menu--nav--menu--top',
				'theme_location' => 'main',
			)
		);
	}
	if ( has_nav_menu( 'main' ) ) {
		wp_nav_menu(
			array(
				'container'      => false,
				'menu_class'     => 'site-mobile--menu--nav--menu',
				'menu_id'        => 'site-mobile--menu--nav--menu--main',
				'theme_location' => 'main',
			)
		);
	}
	echo '</div>';
	echo '</nav>';
};
echo '</div>';

if ( has_nav_menu( 'main' ) ) {
	get_template_part( 'partials/menu/toggle' );
}
