<?php
/**
 * Single post template.
 *
 * @package WordPress
 * @version 1.0
 */

get_header();
$archive_id   = get_option( 'page_for_posts' );
$date_format  = 'F j Y';
$page_form    = get_post_meta( $archive_id, '_page_form', true );
$page_form_id = get_post_meta( $archive_id, '_page_form_id', true );
$page_sidebar = get_post_meta( $archive_id, '_page_sidebar', true );
$pagination   = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$seotitle     = get_post_meta( $archive_id, '_seo_heading', true );
if ( $page_sidebar ) {
	$sidebar_status = ' has-sidebar';
} else {
	$sidebar_status = '';
}
?>
<main class="content page page--internal post single--post">
	<?php get_template_part( 'partials/hero/static' ); ?>
	<article class="container<?php echo esc_attr( $sidebar_status ); ?>">
		<section class="main">
			<?php
			get_template_part( 'partials/menu/breadcrumbs' );
			get_template_part( 'partials/content/title' );
			?>
			<time datetime="<?php the_time( 'Y-m-d' ); ?>" class="meta"><?php the_time( $date_format ); ?></time>
			<?php
			if ( has_post_thumbnail() ) {
				the_post_thumbnail( 'full', array( 'class' => 'single--post--image' ) );
			};
			if ( have_posts() ) {
				while ( have_posts() ) {
					the_post();
					the_content();
				}
			}
			get_template_part( 'partials/content/gallery' );
			get_template_part( 'partials/content/pagination' );
			?>
		</section>
		<aside class="sidebar sidebar--rhs">
			<?php get_sidebar(); ?>
		</aside>
	</article>
</main>
<?php
get_footer();


